net.i2p.crypto

## Class CryptixAESKeyCache

- java.lang.Object
- - net.i2p.crypto.CryptixAESKeyCache

-     public final class CryptixAESKeyCache
      extends Object

  Cache the objects used in CryptixRijndael_Algorithm.makeKey to reduce memory churn. The KeyCacheEntry should be held onto as long as the data referenced in it is needed (which often is only one or two lines of code) Unused as a class, as the keys are cached in the SessionKey objects, but the static methods are used in FortunaStandalone.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CryptixAESKeyCache.KeyCacheEntry` all the data alloc'ed in a makeKey call

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptixAESKeyCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CryptixAESKeyCache.KeyCacheEntry` | `acquireKey()` Deprecated. unused, keys are now cached in the SessionKey objects
    `static CryptixAESKeyCache.KeyCacheEntry` | `createNew()`
    `void` | `releaseKey(CryptixAESKeyCache.KeyCacheEntry key)` Deprecated. unused, keys are now cached in the SessionKey objects

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CryptixAESKeyCache

          public CryptixAESKeyCache()

  - ### Method Detail

    - #### acquireKey

          public final CryptixAESKeyCache.KeyCacheEntry acquireKey()

      Deprecated. unused, keys are now cached in the SessionKey objects
      Get the next available structure, either from the cache or a brand new one

    - #### releaseKey

          public final void releaseKey(CryptixAESKeyCache.KeyCacheEntry key)

      Deprecated. unused, keys are now cached in the SessionKey objects
      Put this structure back onto the available cache for reuse

    - #### createNew

          public static final CryptixAESKeyCache.KeyCacheEntry createNew()